Subject: [spring] Next Segment in draft-previdi-6man-segment-routing-header

From: "Fred Baker (fred)" <[email-masked]>
Date: Thu, 20 Nov 2014 17:29:06 +0000

I’m looking at th definition of Next Segment:

   o  Next Segment (originally defined as "Segments Left" in [RFC2460]):
      index, in the Segment List, of the next active segment (according
      to terminology defined in [I-D.filsfils-spring-segment-routing])
      in the SRH.  Note that this differs from the semantic defined in
      the Routing Header specification ([RFC2460] defines it as
      "Segments Left").  Therefore, in the Segment Routing context, the
      "Segments Left" field is renamed as "Next Segment".

   o  Last Segment: index, in the Segment List, of the next active
      segment of the last segment of the path in the SRH.

Some of the recent discussions highlight how this interacts poorly with https://tools.ietf.org/html/rfc2460#section-4.4, in that the receiving host will ignore the routing header if Segments Left == 0, but not if the same set of bits but renamed as Next Segment is equal to Last Segment.

Could you walk through the argument for the redefinition? I think you might simplify the discussion if the receiving host can ignore the Routing Header, which would require that you use “Segments Left” rather than “Next Segment”.